Public Member Functions

# NetworkContentConnecter Class Reference

Connect to the content server. More...

Inheritance diagram for NetworkContentConnecter:

## Public Member Functions
| NetworkContentConnecter (const NetworkAddress &address)
| Initiate the connecting.
virtual void | OnFailure ()
| Callback for when the connection attempt failed.
virtual void | OnConnect (SOCKET s)
| Callback when the connection succeeded.

## Detailed Description

Connect to the content server.

Definition at line 723 of file network_content.cpp.

## Constructor & Destructor Documentation

NetworkContentConnecter::NetworkContentConnecter | ( | const NetworkAddress & | address | ) | `[inline]`

Initiate the connecting.

Parameters:

  | address | The address of the server.

Definition at line 729 of file network_content.cpp.

## Member Function Documentation

virtual void NetworkContentConnecter::OnConnect | ( | SOCKET | s | ) | `[inline, virtual]`

Callback when the connection succeeded.

Parameters:

  | s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 737 of file network_content.cpp.

References ClientNetworkContentSocketHandler::isConnecting, NetworkSocketHandler::Reopen(), and NetworkTCPSocketHandler::sock.

The documentation for this class was generated from the following file:

- src/network/network_content.cpp